Help save net neutrality! Learn more.
Close

#235 FlexSet is untamed

Need_for_security
closed-fixed
local elib (53)
5
2005-07-24
2005-07-17
No

FIXED
I can import EList in order to use it as a guard, but
I can't import ESet similarly. (This is Chris Hibbert.
SourceForge won't let me log in.) I'm using 0.8.23d.

? def EList :=
<import:org.erights.e.elib.tables.EList>.asType()
# value: <EList>

? def foo(arg :EList) :EList { arg }
# value: <foo>

? foo([3, 4])
# value: [3, 4]

? foo([3 => "a", 4 => "b"])
# problem: <ClassCastException: ConstMapImpl doesn't
coerce to an EList>
#
# <foo>([3 => "a", 4 => "b"])
# <foo>([3 => "a", 4 => "b"])
# *** @ <-.e#:span::407:3::407:3>
# e`foo.run(__makeMap.fromPair..., __makeList.run(4,
"b"))))`.eval(<an OuterScope>)
# *** @
<jar:file:/Volumes/space/Stuff/E-mac-ppc-0.8.23d/e.jar!/org/erights/e/elang/cmd/cmdMakerMaker.emaker#:span::75:25::75:28>

? def ESet :=
<import:org.erights.e.elib.tables.ESet>.asType()
# problem: <SecurityException:
org.erights.e.elib.tables.ESet not approved as safe>
#
# <import:*>.get("org.erights.e.elib.tables.ESet")
# <import:*>.get("org.erights.e.elib.tables.ESet")
# e`def ESet :any :=
import__u...elib.tables.ESet").asType()`.eval(<an
OuterScope>)
# *** @
<jar:file:/Volumes/space/Stuff/E-mac-ppc-0.8.23d/e.jar!/org/erights/e/elang/cmd/cmdMakerMaker.emaker#:span::75:25::75:28>

Followups

Comment Date By
Fixed as of the upcoming 0.8.24c release 2003-Dec-25
21:29 markm

Discussion

  • Steve Jenson

    Steve Jenson - 2005-07-18
    • status: open --> open-fixed
     
  • Steve Jenson

    Steve Jenson - 2005-07-18
    • status: open-fixed --> closed-fixed
     
  • Mark Samuel Miller

    • assigned_to: nobody --> caplet
     

Log in to post a comment.